# OpenShaderDesigner: OpenShaderDesigner::Nodes::Math::Constant Struct Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Nodes::Math::Constant Struct Reference
Inheritance diagram for OpenShaderDesigner::Nodes::Math::Constant:

## Public Types

using | ValueType = ocu::any<int, unsigned int, float, glm::vec4>

## Public Member Functions

| Constant (ShaderGraph &graph, ImVec2 pos)
Node * | Copy (ShaderGraph &graph) const override
void | Inspect () override
Public Member Functions inherited from OpenShaderDesigner::Node
| Node (ShaderGraph &graph, ImVec2 pos, const std::string &title, ImColor color, const std::vector< Pin > &inputs, bool dyn_inputs, const std::vector< Pin > &outputs, bool constant=false)

## Public Attributes

ValueType | Value
Public Attributes inherited from OpenShaderDesigner::Node
ImVec2 | Position = { 0, 0 }
struct { |
std::string Title = "Node" |
ImColor Color = Pin::Colors[Pin::VECTOR] |
bool Enabled = true |
} | Header |
struct { |
std::vector< Pin > Inputs |
std::vector< Pin > Outputs |
bool DynamicInputs = false |
} | IO |
struct { |
ImVec2 Size |
bool Const |
} | Info |

## Member Function Documentation

## Copy()

Node * Constant::Copy | ( | ShaderGraph & | graph | ) | const

nodiscardoverridevirtual

Implements OpenShaderDesigner::Node.

## Inspect()

void Constant::Inspect | ( |  | ) |

overridevirtual

Implements OpenShaderDesigner::Node.

The documentation for this struct was generated from the following files:

- Include/Graph/Nodes/Math.h
- Source/Graph/Nodes/Math.cpp